pub struct SecurityInfo {Show 18 fields
pub symbol: String,
pub shortname: Option<String>,
pub description: Option<String>,
pub exchange: String,
pub market: Option<String>,
pub kind: Option<String>,
pub lot_size: Option<Decimal>,
pub face_value: Option<Decimal>,
pub cfi_code: Option<String>,
pub cancellation: Option<String>,
pub min_step: Option<Decimal>,
pub price_step: Option<Decimal>,
pub currency: Option<String>,
pub isin: Option<String>,
pub board: Option<String>,
pub primary_board: Option<String>,
pub trading_status: Option<i32>,
pub trading_status_info: Option<String>,
}Expand description
An instrument: the answer of GET /md/v2/Securities/{exchange}/{symbol} and an item of the list
GET /md/v2/Securities.
Fields§
§symbol: StringThe ticker.
shortname: Option<String>Short name.
description: Option<String>Description in Russian.
exchange: StringMOEX or SPBX.
market: Option<String>The market: FORTS, FOND, CURR or SPBX.
kind: Option<String>The type of the instrument (CS shares, EUSOV federal bonds, … for MOEX).
lot_size: Option<Decimal>Lot size in pieces.
face_value: Option<Decimal>Face value (shares, bonds), contract size (futures), or the amount a quotation is given for (currency).
cfi_code: Option<String>ISO 10962 code of the type.
cancellation: Option<String>Expiry date of a derivative.
min_step: Option<Decimal>The price step.
price_step: Option<Decimal>The price step in roubles (the value of one step).
currency: Option<String>The currency of the price.
isin: Option<String>ISIN.
board: Option<String>The trading mode (board) of this entry.
primary_board: Option<String>The main trading mode of the instrument.
trading_status: Option<i32>The trading status code: 17 normal period, 18 closed, 2 break, …
trading_status_info: Option<String>The trading status as text.
Trait Implementations§
Source§impl Clone for SecurityInfo
impl Clone for SecurityInfo
Source§fn clone(&self) -> SecurityInfo
fn clone(&self) -> SecurityInfo
Returns a duplicate of the value. Read more
1.0.0 (const: unstable) · Source§fn clone_from(&mut self, source: &Self)
fn clone_from(&mut self, source: &Self)
Performs copy-assignment from
source. Read moreSource§impl Debug for SecurityInfo
impl Debug for SecurityInfo
Source§impl Default for SecurityInfo
impl Default for SecurityInfo
Source§fn default() -> SecurityInfo
fn default() -> SecurityInfo
Returns the “default value” for a type. Read more
Source§impl<'de> Deserialize<'de> for SecurityInfo
impl<'de> Deserialize<'de> for SecurityInfo
Source§fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
Deserialize this value from the given Serde deserializer. Read more
Auto Trait Implementations§
impl Freeze for SecurityInfo
impl RefUnwindSafe for SecurityInfo
impl Send for SecurityInfo
impl Sync for SecurityInfo
impl Unpin for SecurityInfo
impl UnsafeUnpin for SecurityInfo
impl UnwindSafe for SecurityInfo
Blanket Implementations§
Source§impl<T> BorrowMut<T> for Twhere
T: ?Sized,
impl<T> BorrowMut<T> for Twhere
T: ?Sized,
Source§fn borrow_mut(&mut self) -> &mut T
fn borrow_mut(&mut self) -> &mut T
Mutably borrows from an owned value. Read more